Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666060 - sci-mathematics/glpk: Validate DEPEND on virtual/mysql
Summary: sci-mathematics/glpk: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:36 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:36:42 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2020-03-07 02:23:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20a34c28e3afae7c20221d6fb76ae83d119c1375

commit 20a34c28e3afae7c20221d6fb76ae83d119c1375
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-03-06 21:50:06 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-03-07 02:13:24 +0000

    sci-mathematics/glpk: new version 4.65.
    
    This new upstream version fixes a few minor ebuild issues:
    
      * I've attempted to fix the MySQL include location in a more standard
        way, by using mysql_config (bug 597620). Another solution was already
        present in v4.63, so I've marked this bug as resolved.
    
      * The virtual/mysql dependency was replaced, per bug 666060. This will
        be completely resolved when v4.65 goes stable and v4.63 is removed.
    
    We also include a new patch, from upstream, to quiet some overly-verbose
    output. The patch to debundle the system libraries was forward-ported to
    the new version thanks to François Bissey, who maintained an ebuild for
    v4.65 in the sage-on-gentoo overlay until now.
    
    Bug: https://bugs.gentoo.org/666060
    Closes: https://bugs.gentoo.org/597620
    Closes: https://bugs.gentoo.org/711648
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 sci-mathematics/glpk/Manifest                      |  1 +
 .../files/glpk-4.65-debundle-system-libs.patch     | 91 ++++++++++++++++++++++
 .../files/glpk-4.65-fix-mysql-include-prefix.patch | 47 +++++++++++
 .../glpk/files/glpk-4.65-longstep_verbosity.patch  | 23 ++++++
 sci-mathematics/glpk/glpk-4.65.ebuild              | 69 ++++++++++++++++
 5 files changed, 231 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-04-13 17:38:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d6799bcf05704fc9645c8a5668edc16e8c39cf6

commit 8d6799bcf05704fc9645c8a5668edc16e8c39cf6
Author:     Michael Orlitzky <mjo@gentoo.org>
AuthorDate: 2020-04-13 17:36:52 +0000
Commit:     Michael Orlitzky <mjo@gentoo.org>
CommitDate: 2020-04-13 17:36:52 +0000

    sci-mathematics/glpk: remove old "unused" version and files.
    
    Closes: https://bugs.gentoo.org/666060
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Michael Orlitzky <mjo@gentoo.org>

 sci-mathematics/glpk/Manifest                      |  1 -
 .../files/glpk-4.63-debundle-system-libs.patch     | 94 ----------------------
 sci-mathematics/glpk/glpk-4.63.ebuild              | 63 ---------------
 3 files changed, 158 deletions(-)